## Script (Python) "getPastoralReportInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=student=None
##title=
##
# $Id: getPastoralReportInfo.py 2760 2007-11-26 07:39:15Z henrik $
"""
return Info about the Studylevel
try:
    from Products.zdb import set_trace
except:
    def set_trace():
        pass
"""

import DateTime

info = context.waeup_tool.getAccessInfo(context)
student_id = info['student_id']
if student_id is None:
    return None

mtool = context.portal_membership
member = mtool.getAuthenticatedMember()
member_id = str(member)
pprops = context.portal_properties

course_results = context.course_results
request = context.REQUEST
response = request.RESPONSE
import logging
logger = logging.getLogger('Skins.getPastoralReportInfo')

level_doc = info['level_doc'] = context.aq_parent.getContent()
doc = info['doc'] = context.getContent()
info['session'] = context.portal_vocabularies.sessions.get(level_doc.session)
info['level'] = context.portal_vocabularies.student_levels.get(context.aq_parent.getId())
info['term'] = context.portal_vocabularies.terms.get(context.getId())

if pprops.session == info['session']:
    info['date1'] = DateTime.DateTime(pprops.date1).strftime('%d/%m/%Y')
    info['date2'] = DateTime.DateTime(pprops.date2).strftime('%d/%m/%Y')
    info['date3'] = DateTime.DateTime(pprops.date3).strftime('%d/%m/%Y')
else:
    info['date1'] = 'n/a'
    info['date2'] = 'n/a'
    info['date3'] = 'n/a'
if context.getId() == 'fpr':
    info['term_num'] = 1
elif context.getId() == 'spr':
    info['term_num'] = 2
elif context.getId() == 'tpr':
    info['term_num'] = 3
 
info['is_so'] = is_so = info['is_sectionofficer']
#info['is_student'] = is_student = context.isStudent()
#info['is_ca'] = is_ca = context.isCourseAdviser()
#info['student'] = student = context.students_catalog(id=student_id)[0]
#info['student'] = student = context.students_catalog.getRecordByKey(student_id)

students_object = context.portal_url.getPortalObject().campus.students
student = getattr(students_object, student_id)
#info['app'] = student.application
#info['app_doc'] = student.application.getContent()

return info